=== ripmime/ripOLE/Makefile ===

CC=gcc
HDRDIR=.
OBJS= ole.o olestream-unwrap.o bytedecoders.o logger.o pldstr.o
INCLUDES=
LIBS= 
CFLAGS= -Wall -Werror -g
DEFINES= 
#DEFINES=-DDEBUG_TIMETEST

.c.o:
	$(CC) $(CFLAGS) $(DEFINES) -c $*.c

default: ripole

clean:
	rm -f *.o ripole

ripole: $(OBJS) ripole.[ch]
		$(CC) $(CFLAGS) $(OBJS) $(DEFINES) ripole.c -o ripole
