## p3scan 2.3.2

=== debian/changelog ===
p3scan (2:2.3.2-8.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Marc Deslauriers ]
  * p3scan.c: Pass correct arguments to open() (closes: #684492).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2013 19:09:04 +0100

p3scan (2:2.3.2-8) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped standards version to 3.9.3
  * Transistioned from /var/run to /run
  * Included fix for freeing unalloacted memory. Thanks to Thomas Parmelan.
    (closes: #491088)
  * The unallocated memory patch also fixes p3scan dying when misconfigured
    (closes: #529843)

 -- Mats Rynge <mats@rynge.net>  Mon, 21 May 2012 08:23:02 -0700

p3scan (2:2.3.2-7) unstable; urgency=low

  * Replaced etc/p3scan/p3scan.mail broken symlink with copy of 
    etc/p3scan/p3scan-en.mail. This will make the file be handled
    as a config file by dpkg. (closes: #484676)

 -- Mats Rynge <mats@rynge.net>  Thu, 05 Jun 2008 19:35:00 -0400

p3scan (2:2.3.2-6) unstable; urgency=low

  * Better fix for bug #475729. The previous fix broke setting daemon
    user in the p3scan.conf file. This fix set the user and group
    correctly. Thanks to Thomas Parmelan for the patch.

 -- Mats Rynge <mats@rynge.net>  Sun, 01 Jun 2008 22:41:48 -0400

p3scan (2:2.3.2-5) unstable; urgency=low

  * Included linux/types.h to fix build problem agains netfilter.h
    from 2.6.25. (Closes: #479306)

 -- Mats Rynge <mats@rynge.net>  Sun, 04 May 2008 17:44:31 -0400

p3scan (2:2.3.2-4) unstable; urgency=low

  * Added user/group to start-stop-daemon start line in order to force
    what group the daemon is run under. This is important when using
    p3scan together with clamav. (Closes: #475729)

 -- Mats Rynge <mats@rynge.net>  Sat, 03 May 2008 06:38:45 -0400

p3scan (2:2.3.2-3) unstable; urgency=low

  * Changed clean target to not ignore errors
  * Moved OpenSSL license excemption from usr/share/doc to copyright file
  * Updated man pages to take care of some issues Lintian pointed out

 -- Mats Rynge <mats@rynge.net>  Sun, 06 Apr 2008 13:00:58 -0400

p3scan (2:2.3.2-2) unstable; urgency=low

  * Removed bashism from init.d script (closes: #473687)

 -- Mats Rynge <mats@rynge.net>  Wed, 02 Apr 2008 17:52:28 -0400

p3scan (2:2.3.2-1) unstable; urgency=low

  * New upstream release (closes: #355340)
  * Added LSB info to init.d script (closes: #469763)
  * Changed logic in init.d script to allow for checking if the daemon is
    already running.
  * /var/spool/p3scan/children is now cleaned on startup (closes: #305368)
  * PID file is now cleaned up correctly on initial failures (closes: #333628))
  * Fixed clamdscan information in README.Debian (closes: #363313)
  * Update copyright file to include OpenSSL exception
  * Added new dependency: libssl-dev
  * Updated standards version to 3.7.3
  * Fixed chown syntax in postinst
  * Fixed spelling mistake in package description (closes: #390247)

 -- Mats Rynge <mats@rynge.net>  Tue, 11 Mar 2008 20:43:20 -0600

p3scan (2:2.1-3) unstable; urgency=low

  * Added adduser as a pre-depends (closes: #408274)

 -- Mats Rynge <mats@rynge.net>  Tue, 25 Jan 2006 13:50:32 -0500

p3scan (2:2.1-2) unstable; urgency=low

  * Fixed a symlink problem from /etc/p3scan to build directory
  * Cleaned up documentaion installation
       - Removed empty NEWS file from package
       - Removed extra LICENSE file
       - Renamed CHANGELOG to changelog
       - gzip files in /usr/share/doc/p3scan

 -- Mats Rynge <mats@rynge.net>  Sun, 09 Jan 2005 12:12:06 -0800

p3scan (2:2.1-1) unstable; urgency=low

  * New upstream release (closes: #286072)
  * Made sure scanned files are group readable. Added note to README.Debian
    on how to make the files readable by clamav-daemon. (closes: #261646)
  * Added an even better example on the iptables config needed
    (closes: #280989)
  * Added documentation describing how to use the debug
    features (closes: #280985)

 -- Mats Rynge <mats@rynge.net>  Sun, 09 Jan 2005 10:25:52 -0800

p3scan (2:1.0-2) unstable; urgency=low

  * Made README.Debian more specific (closes: #241233)
  * Added example for using Clam Antivirus with p3scan (closes: #230112)
  * Added renattach to the suggests

 -- Mats Rynge <mats@rynge.net>  Sat, 05 Jun 2004 16:56:56 -0700

p3scan (2:1.0-1) unstable; urgency=low

  * New upstream release
  * Upstream is now providing a man page - removed the one I wrote
    and the docbook-to-man dependency
  * Fixed typos in package description (closes: #228205)
  * Bumped the standards version to 3.6.1

 -- Mats Rynge <mats@rynge.net>  Sun, 25 Jan 2004 21:25:42 -0800

p3scan (1:1.0rc7-1) unstable; urgency=low

  * New upstream release
  * Added docbook-to-man to dependencies in order to generate man
    page at build time
  * Fixed missing </para> tag in p3scan.sgml
  * Added a explicit clean of ripmime/ripOLE
  * Cleaned up the start/stop code in the pre/post inst/rm scripts
  * Removed dash in version to make it look nicer

 -- Mats Rynge <mats@rynge.net>  Mon, 12 Jan 2004 19:58:57 -0800

p3scan (1.0-rc6-1) unstable; urgency=low

  * Initial Release
  * p3scan replaces pop3vscan, hence the Conflicts: pop3vscan

 -- Mats Rynge <mats@rynge.net>  Sun,  4 Jan 2004 18:05:33 -0800
