=== debian/control ===
Source: p3scan
Section: mail
Priority: optional
Maintainer: Mats Rynge <mats@rynge.net>
Build-Depends: debhelper (>= 9.0.0), libpcre3-dev, libssl-dev
Standards-Version: 3.9.3

Package: p3scan
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: iptables, spamassassin, clamav, renattach
Conflicts: pop3vscan
Description: transparent POP3-proxy with virus- and spam-scanning
 p3scan uses iptables port re-direction to intercept outgoing POP3
 connections. It provides different types of email scanning and is ideal
 for helping to protect your "Other OS" LAN from harm, especially when
 used in conjunction with a firewall and other Internet Proxy servers.
 .
 It is designed to enable scanning of incoming email messages for
 virus's, worms, trojans, spam, and harmful attachments. Because viewing
 HTML mail can enable a spammer to validate an email address (via Web
 bugs), it can also provide HTML stripping.
