=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	-rm -f CHANGELOG.gz
	-(cd ripmime/ripOLE && make clean)
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install PREFIX=$(CURDIR)/debian/p3scan/usr \
	                MANDIR=$(CURDIR)/debian/p3scan/usr/share/man/man8 \
	                piddir=$(CURDIR)/debian/p3scan/run/p3scan \
	                userdir=$(CURDIR)/debian/p3scan/etc/p3scan \
	                datadir=$(CURDIR)/debian/p3scan/var/spool/p3scan \
	                notify=$(CURDIR)/debian/p3scan/var/spool/p3scan/notify \
	                docdir=$(CURDIR)/debian/p3scan/usr/share/doc/p3scan
	# etc/p3scan/p3scan.mail is a symlink, replace with the english version
	# this will make sure dpkg handles the file as a config file
	rm debian/p3scan/etc/p3scan/p3scan.mail
	cp debian/p3scan/etc/p3scan/p3scan-en.mail debian/p3scan/etc/p3scan/p3scan.mail 
	cp debian/init.d $(CURDIR)/debian/p3scan/etc/init.d/p3scan
	chmod 755 $(CURDIR)/debian/p3scan/etc/init.d/p3scan
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/LICENSE
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/NEWS
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/README-rpm
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/spamfaq.txt
	mv $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/CHANGELOG \
	   $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/changelog
	for FILE in AUTHORS changelog CONTRIBUTERS README README-ripmime TODO.list \
	            spamfaq.html; do \
		gzip -9 $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/$$FILE; \
	done
	# replace with our fixed man pages
	cat p3scan.8 | gzip -9 - \
		> $(CURDIR)/debian/p3scan/usr/share/man/man8/p3scan.8.gz
	cat p3scan_readme.8 | gzip -9 - \
		> $(CURDIR)/debian/p3scan/usr/share/man/man8/p3scan_readme.8.gz
	# remove extra license file - information is in package copyright
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/LICENSE.OpenSSL*
	# remove the pid directory - this is automatically generated in init.d
	rm -rf $(CURDIR)/debian/p3scan/run


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
